List API keys
curl --request GET \
--url https://api.naturalead.ai/api/api-keys \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.naturalead.ai/api/api-keys"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.naturalead.ai/api/api-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"_id": "<string>",
"name": "<string>",
"keyPrefix": "<string>",
"keyHint": "<string>",
"scopes": [
"<string>"
],
"environment": "live",
"status": "active",
"createdAt": "2023-11-07T05:31:56Z",
"accountId": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"lastUsedAt": "2023-11-07T05:31:56Z"
}
]{
"error": "<string>"
}API Keys
List API Keys
Returns all API keys for the current account. Keys are returned with
masked values (keyPrefix and keyHint only). The full key is never
returned after creation.
Requires api_keys:view permission.
GET
/
api
/
api-keys
List API keys
Authorizations
Bearer token using an API key (format nl_live_* or nl_test_*)
Response
List of API keys
Unique key identifier
Human-readable key name
Key prefix (e.g. nl_live_ or nl_test_)
Last 4 characters of the key for identification
RBAC permissions granted to this key
Available options:
live, test Available options:
active, revoked, expired Account this key belongs to